Replace preferences
const url = 'http://127.0.0.1:8080/api/v1/me/preferences';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"overrides":{"appearance":"","content_languages":["example"],"measurement":"","microwave_output_watts":1,"print_image":"","print_page_size":"","recipe_view":"","reduced_motion":"","temperature":"","timezone":"example","ui_locale":"example"},"revision":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url http://127.0.0.1:8080/api/v1/me/preferences \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "overrides": { "appearance": "", "content_languages": [ "example" ], "measurement": "", "microwave_output_watts": 1, "print_image": "", "print_page_size": "", "recipe_view": "", "reduced_motion": "", "temperature": "", "timezone": "example", "ui_locale": "example" }, "revision": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Request Bodyrequired
Section titled “Request Bodyrequired”object
object
Responses
Section titled “Responses”OK
object
object
Interface languages this server ships. A preview locale is incomplete or unreviewed and is used only when chosen explicitly
object
BCP 47 tag
object
Example
{ "effective": { "appearance": "", "measurement": "", "print_image": "", "print_page_size": "", "recipe_view": "", "reduced_motion": "", "temperature": "" }, "interface_locales": [ { "status": "supported" } ], "overrides": { "appearance": "", "measurement": "", "print_image": "", "print_page_size": "", "recipe_view": "", "reduced_motion": "", "temperature": "" }}No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).
object
Examplegenerated
{ "code": "example", "detail": "example", "status": 1, "title": "example", "type": "example"}default
Section titled “default”Error
object
Stable application error code; clients may also use the problem type suffix.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
Structured context for the stable error code.
object
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
object
object
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}